Retrieve a list of data resolution rulesets using the Data 360 Identity Resolution Rulesets endpoint in Connect API.
Prerequisite
Before you send a request to Connect API, obtain a bearer token. For more information, see Connect to REST-based APIs.
Send the Request
To retrieve a list of identity resolution rulesets, send a GET request to the /services/data/{apiVersion}/ssot/identity-resolutions endpoint.
GET /services/data/{apiVersion}/ssot/identity-resolutions HTTP/1.1
Host: YOUR_SUBDOMAIN.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN
If the request is successful, the response body lists the identity resolution rulesets in your org.
{
"identityResolutions": [
{
"anonymousUnifiedProfiles": 0,
"configurationType": "individual",
"consolidationRate": 0.0,
"dataSpaceName": "default",
"doesRunAutomatically": true,
"id": "1ir1Q0000004CKHQA2",
"knownUnifiedProfiles": 15,
"label": "My Ruleset",
"lastJobCompleted": "2024-02-03T01:23:36.000Z",
"lastJobStatus": "SKIPPED",
"matchRules": [
{
"criteria": [
{
"caseSensitiveMatch": false,
"entityName": "ssot__Individual__dlm",
"fieldName": "ssot__FirstName__c",
"matchMethodType": "fuzzy",
"shouldMatchOnBlank": false
},
{
"caseSensitiveMatch": false,
"entityName": "ssot__Individual__dlm",
"fieldName": "ssot__LastName__c",
"matchMethodType": "exact",
"shouldMatchOnBlank": false
},
{
"caseSensitiveMatch": false,
"entityName": "ssot__ContactPointEmail__dlm",
"fieldName": "ssot__EmailAddress__c",
"matchMethodType": "exactnormalized",
"shouldMatchOnBlank": false
}
],
"label": "My Ruleset"
}
],
"matchedSourceProfiles": 0,
"objectApiName": "Individual",
"reconciliationRules": [
{
"entityName": "ssot__Individual__dlm",
"fields": [],
"linkDmoName": "IndividualIdentityLink__dlm",
"ruleType": "lastupdated",
"shouldIgnoreEmptyValue": true,
"sources": [],
"unifiedDmoName": "UnifiedIndividual__dlm"
},
{
"entityName": "ssot__ContactPointEmail__dlm",
"fields": [],
"linkDmoName": "ContactPointEmailIdentityLink__dlm",
"ruleType": "mostfrequent",
"shouldIgnoreEmptyValue": true,
"sources": [],
"unifiedDmoName": "UnifiedContactPointEmail__dlm"
},
{
"entityName": "ssot__ContactPointAddress__dlm",
"fields": [],
"linkDmoName": "ContactPointAddressIdentityLink__dlm",
"ruleType": "mostfrequent",
"shouldIgnoreEmptyValue": true,
"sources": [],
"unifiedDmoName": "UnifiedContactPointAddress__dlm"
}
],
"rulesetStatus": "PUBLISHED",
"sourceProfiles": 15,
"totalUnifiedProfiles": 15
}
]
}